Support » Plugin: WordPress Download Manager » Error on PHP 7

Viewing 3 replies - 1 through 3 (of 3 total)
  • I’ve noticed some warnings/errors too. I’m running a checker for PHP7 errors/warnings and have this output upon testing:

    
    FILE: /http/dev.example.com/wp-content/plugins/download-manager/libs/class.Crypt.php
    --------------------------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 10 WARNINGS AFFECTING 5 LINES
    --------------------------------------------------------------------------------------------------------------------------------
     19 | WARNING | Extension 'mcrypt' is deprecated since PHP 7.1 - use openssl (preferred) or pecl/mcrypt once available instead.
     19 | WARNING | Function mcrypt_get_iv_size() is deprecated since PHP 7.1; use OpenSSL instead
     21 | WARNING | Extension 'mcrypt' is deprecated since PHP 7.1 - use openssl (preferred) or pecl/mcrypt once available instead.
     21 | WARNING | Function mcrypt_create_iv() is deprecated since PHP 7.1; use OpenSSL instead
     23 | WARNING | Extension 'mcrypt' is deprecated since PHP 7.1 - use openssl (preferred) or pecl/mcrypt once available instead.
     23 | WARNING | Function mcrypt_encrypt() is deprecated since PHP 7.1; use OpenSSL instead
     43 | WARNING | Extension 'mcrypt' is deprecated since PHP 7.1 - use openssl (preferred) or pecl/mcrypt once available instead.
     43 | WARNING | Function mcrypt_get_iv_size() is deprecated since PHP 7.1; use OpenSSL instead
     53 | WARNING | Extension 'mcrypt' is deprecated since PHP 7.1 - use openssl (preferred) or pecl/mcrypt once available instead.
     53 | WARNING | Function mcrypt_decrypt() is deprecated since PHP 7.1; use OpenSSL instead
    --------------------------------------------------------------------------------------------------------------------------------
    
    FILE: /http/dev.example.com/wp-content/plugins/download-manager/libs/class.Pagination.php
    --------------------------------------------------------------------------------------------------------------
    FOUND 2 ERRORS AFFECTING 1 LINE
    --------------------------------------------------------------------------------------------------------------
     136 | ERROR | Extension 'ereg' is deprecated since PHP 5.3 and removed since PHP 7.0 - use pcre instead.
     136 | ERROR | Function eregi() is deprecated since PHP 5.3 and removed since PHP 7.0; use preg_match instead
    --------------------------------------------------------------------------------------------------------------
    Plugin Author Shahjada

    (@codename065)

    @francescobagnoli, Fixed for next update.
    @tarun80, we are adjusting those.

    @shaon, awesome, thanks for the reply!

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Error on PHP 7’ is closed to new replies.